# uopz_get_return

(PECL uopz 5, PECL uopz 6)

uopz_get_return — Gets a previous set return value for a function

### Description

uopz_get_return ( string `$function` ) : mixed
uopz_get_return ( string `$class` , string `$function` ) : mixed

Gets the return value of the `function` previously set by uopz_set_return().

### Parameters

`class`

  The name of the class containing the function

`function`

  The name of the function

### Return Values

The return value or Closure previously set.

### Examples

Example #1 uopz_get_return() example

`<?php
uopz_set_return("strlen", 42);
echo uopz_get_return("strlen");
?>`

The above example will output:

    42